MP4(3)

NAME

MP4SetTrackEditDwell - Set the dwell value of a track edit segment

SYNTAX

#include <mp4.h>

bool MP4SetTrackEditDwell(
    MP4FileHandle hFile,
    MP4TrackId trackId,
    MP4EditId editId,
    bool dwell
);

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the track to which the operation applies.

editId
    Specifies the edit segment to which the operation applies. Caveat: the first edit has id 1 not 0.

dwell
    Species the new dwell value.

RETURN VALUES

Upon success, true (1). Upon an error, false (0).

DESCRIPTION

MP4SetTrackEditDwell sets the dwell value of the specified edit segment from the specified track.

A value of true (1) indicates that during this edit segment the media will be paused; a value of false (0) indicates that during this edit segment the media will be played at its normal rate.

SEE ALSO

MP4(3) MP4GetTrackEditDwell(3)